#ifndef SETTINGSEXTRAPAGE_H
#define SETTINGSEXTRAPAGE_H

#include <QWidget>
#include <QLineEdit>
#include <QTimer>

#include "bmsinterface.h"
#include <QSettings>

namespace Ui {
class SettingsExtraPage;
}

class SettingsExtraPage : public QFrame
{
    Q_OBJECT

public:
    explicit SettingsExtraPage(QWidget *parent = nullptr);
    ~SettingsExtraPage();

    void clearControlls();

    BMSInterface *bms() const;
    void setDieBieMS(BMSInterface *dieBieMS);

signals:
    void connected();
    void disconnected();

//public slots:
//    void onLoadParams();

private slots:
    void on_uiScaleBox_valueChanged(double arg1);
    void on_uiAutoScaleBox_toggled(bool checked);

    void on_pbConnect_clicked();
    void on_pbDisconnect_clicked();
    void on_pbSerialRefreshButton_clicked();

    // void cellsReceived(int cellCount, QVector<double> cellVoltageArray);

private:
    Ui::SettingsExtraPage *ui;

    BMSInterface *mDieBieMS;
    QSettings mSettings;

};

#endif // SETTINGSEXTRAPAGE_H
